Bug 630581 - libstdc++-static.i686 package missing on x86_64
Summary: libstdc++-static.i686 package missing on x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mash
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-06 10:02 UTC by paolo borelli
Modified: 2014-03-17 03:24 UTC (History)
5 users (show)

Fixed In Version: mash-0.5.20-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-13 05:58:18 UTC


Attachments (Terms of Use)

Description paolo borelli 2010-09-06 10:02:30 UTC
Description of problem:

I am on a x86_64 distro but I am trying to compile a 32bit program that requires supc++:

/usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-redhat-linux/4.5.1/libsupc++.a when searching for -lsupc++
/usr/bin/ld: cannot find -lsupc++


I installed the 64bit version with the libstdc++-static package, but the corresponding .i686 package is not found.

Comment 1 Jakub Jelinek 2010-09-06 10:07:43 UTC
I believe none of the *lib*static packages are included as multilibs.
With glibc-static and libstdc++-static I agree that is not a good idea.

Comment 2 Bill Nottingham 2010-09-07 17:24:53 UTC
glibc-static is, libstdc++-static was not. Fixed, although this will take a while to propagate out.

Comment 3 paolo borelli 2010-09-09 05:58:36 UTC
Will it be fixed also for RHEL6?

Comment 4 Bill Nottingham 2010-09-09 15:50:39 UTC
If you need this on RHEL 6, I strongly suggest you open a RHEL 6 issue with your customer rep/bugzilla.

Comment 5 Fedora Update System 2010-09-28 16:18:00 UTC
mash-0.5.20-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.el5

Comment 6 Fedora Update System 2010-09-28 16:21:50 UTC
mash-0.5.20-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.fc14

Comment 7 Fedora Update System 2010-09-28 16:33:42 UTC
mash-0.5.20-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mash-0.5.20-1.fc13

Comment 8 Fedora Update System 2010-09-28 17:31:42 UTC
mash-0.5.20-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mash'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/mash-0.5.20-1.fc14

Comment 9 Fedora Update System 2010-10-13 05:56:22 UTC
mash-0.5.20-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-10-13 12:48:58 UTC
mash-0.5.20-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-04-14 20:58:16 UTC
mash-0.5.20-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.